description: cp_pipe PTC calibration construction.
parameters:
    exposureName: cpPtcProc
    measuredCovariances: cpCovariances
tasks:
  isr:
    class: lsst.ip.isr.isrTask.IsrTask
    config:
      connections.ccdExposure: raw
      connections.outputExposure: parameters.exposureName
      doWrite: true
      doOverscan: true
      doAssembleCcd: true
      doBias: true
      doVariance: true
      doLinearize: false
      doCrosstalk: true
      doBrighterFatter: false
      doDark: true
      doStrayLight: false
      doFlat: true
      doFringe: false
      doApplyGains: false
      doDefect: true
      doNanMasking: true
      doInterpolate: false
      doSaturation: false
      doSaturationInterpolation: false
      growSaturationFootprintSize: 0
  ptcExtract:
    class: lsst.cp.pipe.ptc.PhotonTransferCurveExtractTask
    config:
      connections.inputExp: parameters.exposureName
      connections.outputCovariances: parameters.measuredCovariances
  ptcSolve:
    class: lsst.cp.pipe.ptc.PhotonTransferCurveSolveTask
    config:
      connections.inputCovariances: parameters.measuredCovariances
      connections.outputPtcDataset: ptc
      ptcFitType: FULLCOVARIANCE
contracts: 
  - ptcSolve.maximumRangeCovariancesAstier == ptcExtract.maximumRangeCovariancesAstier
